import request from '@/utils/request'

export function index(params,isLoading=true){
  return request({
    isLoading,
    method:'get',
    url:'/api/admin/confinement-service/index',
    params
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-service/show',
    params
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/store',
    data
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/save',
    data
  })
}

export function destroy(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/destroy',
    data
  })
}

export function storeMerchantItems(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/store-merchant-items',
    data
  })
}

export function getMerchantItems(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-service/get-merchant-items',
    params
  })
}

export function destroyMerchantItems(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/destroy-merchant-items',
    data
  })
}

export function storePicture(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/store-picture',
    data
  })
}

export function getPicture(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-service/get-picture',
    params
  })
}

export function destroyPicture(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-service/destroy-picture',
    data
  })
}
